#!/usr/bin/ruby

require "minitest/autorun"
 
class TestCluster < MiniTest::Test
  require 'foreman_vm'

  def setup
    @config = ForemanAP::Config.new
    @cluster = nil
  end

  def test_initialize
   @cluster = ForemanAP::Cluster.new(
                  @config.hypervisors, 
                  @config.libvirt_user, 
                  @config.libvirt_password)
   assert_not_nil @cluster
  end
end
