#!/usr/bin/ruby

require 'minitest/autorun'
 
class TestMain < MiniTest::Test
  require 'foreman_vm'

  def test_initialize
   fvm = ForemanVM.new
   assert_not_nil(fvm)
  end

  def test_ip_address_in_use?
    fvm = ForemanVM.new
    assert fvm.send(:ip_address_in_use?, '127.0.0.1')

    # Designated test network per RFC 5737
    assert_equal(false, fvm.send(:ip_address_in_use?, '192.0.2.1'))
  end
end
