#!/usr/bin/ruby

require 'minitest/autorun'

class TestMain < MiniTest::Test
  require 'foreman_vm'

  def test_initialize
   fvm = ForemanVM.new
   assert_not_nil(fvm)
  end

  def test_normalize_memory
    fvm = ForemanVM.new
    assert_equal('1024', fvm.send(:normalize_memory, '1K'))
    assert_equal('1048576', fvm.send(:normalize_memory, '1M'))
    assert_equal('1073741824', fvm.send(:normalize_memory, '1G'))
  end
end
