#!/usr/bin/ruby

require 'minitest/autorun'
 
class TestStoragePool < MiniTest::Test
  require 'foreman_vm'

  def setup
   fvm = ForemanVM.new
   assert_not_nil(fvm)
   hv = fvm.cluster.member('vm-corp-007.brontolabs.local')
   assert_not_nil(hv)
   @sph = hv.storage_pool('default')
   assert_not_nil(@sph)
  end

  def test_refresh
   assert(@sph.refresh, 'unable to refresh pool')
  end

  def test_volume
   assert(@sph.volume('heily-dev-001.brontolabs.local-disk1'), 'unable to lookup volume')
  end

  def test_create_volume
    assert(true) #FIXME -- STUB
  end
end
