#!/usr/bin/ruby

require 'minitest/autorun'
 
class TestVolume < MiniTest::Test
  require 'foreman_vm'

  def setup
   fvm = ForemanVM.new
   assert_not_nil(fvm)
   hv = fvm.cluster.member('vm-corp-007.brontolabs.local')
   assert_not_nil(hv)
   sph = hv.storage_pool('default')
   assert_not_nil(sph)
   @vol = sph.volume('heily-dev-001.brontolabs.local-disk1')
   assert_not_nil(@vol)
  end

  def test_volume_type
    assert(@vol.format == :raw)
  end
end
