#!/usr/bin/ruby

require 'tempfile'
require 'minitest/autorun'
require 'minitest'
require 'yaml'

class ArchitectTest < Minitest::Test
  require 'architect'
 
  protected

  def architect(config = nil)
    if config.nil?
      Architect.new
    else
      f = Tempfile.new('architect-test-config.yaml')
      f.write(config.to_yaml)
      f.close
      File.chmod(0600, f.path)
      Architect.new(conffile: f.path)
    end
  end
end
